"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlgoIndexerBlock = void 0;
const algoUtils_1 = require("../../utils/algoUtils");
const managed_1 = require("../../utils/managed");
const BlockBase_1 = require("../BlockBase");
function filterHashesIndexer(trans) {
    if (trans.id) {
        return trans.id;
    }
    else {
        return "";
    }
}
let AlgoIndexerBlock = class AlgoIndexerBlock extends BlockBase_1.BlockBase {
    get number() {
        return this.data.round;
    }
    get blockHash() {
        return (0, algoUtils_1.hexToBase64)(this.data.cert.prop.dig);
    }
    get stdBlockHash() {
        return this.data.cert.prop.dig;
    }
    get unixTimestamp() {
        return this.data.timestamp;
    }
    get transactionIds() {
        if (this.data.transactions === undefined) {
            return [];
        }
        return this.data.transactions.map(filterHashesIndexer);
    }
    get stdTransactionIds() {
        return this.transactionIds.map(algoUtils_1.txIdToHexNo0x);
    }
    get transactionCount() {
        if (this.data.transactions === undefined) {
            return 0;
        }
        return this.data.transactions.length;
    }
};
AlgoIndexerBlock = __decorate([
    (0, managed_1.Managed)()
], AlgoIndexerBlock);
exports.AlgoIndexerBlock = AlgoIndexerBlock;
//# sourceMappingURL=AlgoIndexerBlock.js.map