"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UtxoBlock = void 0;
const managed_1 = require("../../utils/managed");
const utils_1 = require("../../utils/utils");
const BlockBase_1 = require("../BlockBase");
let UtxoBlock = class UtxoBlock extends BlockBase_1.BlockBase {
    //
    get number() {
        return this.data.height;
    }
    get blockHash() {
        return this.data.hash;
    }
    get stdBlockHash() {
        return this.data.hash;
    }
    get unixTimestamp() {
        return this.data.time;
    }
    get transactionIds() {
        return this.data.tx.map((tx) => {
            /* istanbul ignore if */
            if (!tx) {
                return "0x0";
            }
            if (tx.txid) {
                return (0, utils_1.prefix0x)(tx.txid);
            }
            else {
                /* istanbul ignore next */
                if (typeof tx === "string") {
                    return (0, utils_1.prefix0x)(tx);
                }
                else {
                    return "0x0";
                }
            }
        });
    }
    get stdTransactionIds() {
        // todo: @Luka: tx is already Id on DOGE
        return this.data.tx.map((tx) => (tx.txid ? tx.txid : tx));
    }
    get transactionCount() {
        return this.data.tx.length;
    }
};
UtxoBlock = __decorate([
    (0, managed_1.Managed)()
], UtxoBlock);
exports.UtxoBlock = UtxoBlock;
//# sourceMappingURL=UtxoBlock.js.map