"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Managed = exports.disableManaged = void 0;
const trace_1 = require("./trace");
function disableManaged() {
    trace_1.TraceManager.enabled = false;
}
exports.disableManaged = disableManaged;
function Managed() {
    return (target, name, descriptor) => {
        if (!trace_1.TraceManager.enabled)
            return target;
        let trace = null;
        //let trace = RegisterTraceValue(target, name, descriptor);
        //if (trace) return trace;
        trace = (0, trace_1.RegisterTraceGetter)(target, name, descriptor);
        if (trace)
            return trace;
        trace = (0, trace_1.RegisterTraceSetter)(target, name, descriptor);
        if (trace)
            return trace;
        return (0, trace_1.RegisterTraceClass)(target);
        //return target;
    };
}
exports.Managed = Managed;
//# sourceMappingURL=managed.js.map