"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const src_1 = require("../../src");
const algoCreateConfig = {
    algod: {
        url: process.env.ALGO_ALGOD_URL || "",
        token: process.env.ALGO_ALGOD_TOKEN || "",
    },
};
describe("Algo Node Status tests (LIFE: expect healthy) ", function () {
    let MccClient;
    let status;
    before(async function () {
        MccClient = new src_1.MCC.ALGO(algoCreateConfig);
        const tStatus = await MccClient.getNodeStatus();
        if (tStatus) {
            status = tStatus;
        }
    });
    it("Should get status version ", async function () {
        const version = status.version.split("_");
        (0, chai_1.expect)(version[0]).to.be.eq("3");
    });
    it("Should get status state ", async function () {
        // TODO
        (0, chai_1.expect)(status.state).to.eq("TODO");
    });
    it("Should get status isHealthy ", async function () {
        // console.log(status.isHealthy);
        (0, chai_1.expect)(status.isHealthy).to.eq(true);
    });
    it("Should get status isSynced ", async function () {
        // console.log(status.isSynced);
        (0, chai_1.expect)(status.isSynced).to.eq(true);
    });
});
describe("Algo bottom block ", function () {
    let MccClient;
    before(async function () {
        MccClient = new src_1.MCC.ALGO(algoCreateConfig);
    });
    it("Should get status version ", async function () {
        const bottom = await MccClient.getBottomBlockHeight();
        (0, chai_1.expect)(bottom).to.greaterThan(19000000);
    });
});
//# sourceMappingURL=status.test.js.map