"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const src_1 = require("../../src");
const BtcMccConnection = {
    url: process.env.BTC_URL || "",
    username: process.env.BTC_USERNAME || "",
    password: process.env.BTC_PASSWORD || "",
};
describe("Template test ", function () {
    let MccClient;
    let block;
    before(async function () {
        MccClient = new src_1.MCC.BTC(BtcMccConnection);
    });
    it("Should temp test ", async function () {
        var _a, _b;
        const trans = await MccClient.getTransaction("a8e7ec78e5ee9589a93b937ac2f2c34a46b94571faeb8a52e8ca85c9c7b09d02");
        const newTrans = await trans.paymentSummary(MccClient, 1, 1, true);
        (0, chai_1.expect)(newTrans.isNativePayment).to.eq(true);
        (0, chai_1.expect)(newTrans.sourceAddress).to.eq("12sFAbHEY3bChUrvb58V4R6KBau2QcGryg");
        (0, chai_1.expect)(newTrans.receivingAddress).to.eq("39sEzBtK23FStf7R7jqgE4z2q2cxKgTLrD");
        (0, chai_1.expect)((_a = newTrans.spentAmount) === null || _a === void 0 ? void 0 : _a.toNumber()).to.eq(500000000);
        (0, chai_1.expect)((_b = newTrans.receivedAmount) === null || _b === void 0 ? void 0 : _b.toNumber()).to.eq(185064);
        (0, chai_1.expect)(newTrans.paymentReference).to.eq("0x0000000000000000000000000000000000000000000000000000000000000000");
        (0, chai_1.expect)(newTrans.oneToOne).to.eq(false);
        (0, chai_1.expect)(newTrans.isFull).to.eq(true);
    });
    // A test to find some transactions on btc node that have op-return script entry and are not block mining transactions
    it.skip("Should find op return trans", async () => {
        const h = await MccClient.getBlockHeight();
        const block = await MccClient.getBlock(h);
        console.log(block === null || block === void 0 ? void 0 : block.blockHash);
        for (let i = 7; i < 20; i++) {
            const bl = await MccClient.getBlock(h - i);
            if (bl) {
                for (let tran of bl.stdTransactionIds) {
                    const t = await MccClient.getTransaction(tran);
                    if (t) {
                        if (t.type !== "coinbase" && t.reference.length > 0) {
                            console.log(t.stdTxid);
                            break;
                        }
                    }
                }
            }
        }
    });
});
//# sourceMappingURL=template.test.js.map