"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const src_1 = require("../../src");
const BtcMccConnection = {
    url: process.env.BTC_URL || "",
    username: process.env.BTC_USERNAME || "",
    password: process.env.BTC_PASSWORD || "",
};
describe("Chain tips test ", function () {
    let MccClient;
    let block;
    before(async function () {
        MccClient = new src_1.MCC.BTC(BtcMccConnection);
    });
    it("Should get only latest tips ", async function () {
        const tips = await MccClient.getBlockTips(730698);
        (0, chai_1.expect)(tips.length).to.greaterThanOrEqual(4);
    });
    it("Should get tips and all blocks to certain height ", async function () {
        const tips = await MccClient.getTopLiteBlocks(5);
        // Most of the time eq
        (0, chai_1.expect)(tips.length).to.greaterThanOrEqual(5);
    });
});
//# sourceMappingURL=tips.test.js.map