"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const src_1 = require("../../src");
const LtcMccConnection = {
    url: process.env.LTC_URL || "",
    username: process.env.LTC_USERNAME || "",
    password: process.env.LTC_PASSWORD || "",
};
describe("Block LTC base test ", function () {
    let MccClient;
    let block;
    const blockNumber = 2220000;
    before(async function () {
        MccClient = new src_1.MCC.LTC(LtcMccConnection);
        block = await MccClient.getBlock(blockNumber);
    });
    it("Should get block", async function () {
        (0, chai_1.expect)(block).to.not.eq(undefined);
    });
    it("Should get block number ", async function () {
        (0, chai_1.expect)(block.number).to.eq(blockNumber);
    });
    it("Should get block hash ", async function () {
        (0, chai_1.expect)(block.blockHash).to.eq("2e7c0facdf8482585ee70161f07969e2201165a9632ea205b5f06a5ccc08c368");
    });
    it("Should get block standard hash ", async function () {
        (0, chai_1.expect)(block.stdBlockHash).to.eq("2e7c0facdf8482585ee70161f07969e2201165a9632ea205b5f06a5ccc08c368");
    });
    it("Should get block timestamp ", async function () {
        (0, chai_1.expect)(block.unixTimestamp).to.eq(1646170721);
    });
    it("Should get transaction ids ", async function () {
        (0, chai_1.expect)(block.transactionIds.length).to.eq(61);
        // TODO at least check some txids
    });
    it("Should get transaction standard ids ", async function () {
        (0, chai_1.expect)(block.stdTransactionIds.length).to.eq(61);
    });
    it("Should get transaction count ", async function () {
        (0, chai_1.expect)(block.transactionCount).to.eq(61);
    });
});
//# sourceMappingURL=block.test.js.map