"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../src/index");
const chai_1 = require("chai");
const LtcMccConnection = {
    url: process.env.LTC_URL || "",
    username: process.env.LTC_USERNAME || "",
    password: process.env.LTC_PASSWORD || "",
};
describe("LTC client tests", () => {
    describe("Should initialize", function () {
        it("Direct initialize", async function () {
            const client = new index_1.MCC.LTC(LtcMccConnection);
            (0, chai_1.expect)(client).to.not.eq(null);
        });
        it("Client initialize", async function () {
            const client = index_1.MCC.Client("LTC", LtcMccConnection);
            (0, chai_1.expect)(client).to.not.eq(null);
        });
    });
    describe("General functionalities", function () {
        it("should get block height from regtest network", async function () {
            const DogeRpc = new index_1.MCC.LTC(LtcMccConnection);
            let a = await DogeRpc.getBlockHeight();
            (0, chai_1.expect)(a).to.greaterThan(100);
        });
        // it('should get block height from regtest network', async function () {
        //   const DogeRpc = new MCC.LTC(reg_tests_url, reg_test_user, reg_test_pass);
        //   let a = await DogeRpc.getBlockHeight();
        //   expect(a).toBeGreaterThan(100);
        // });
    });
});
//# sourceMappingURL=ltcClinet.test.js.map