"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const src_1 = require("../../src");
const LtcMccConnection = {
    url: process.env.LTC_URL || "",
    username: process.env.LTC_USERNAME || "",
    password: process.env.LTC_PASSWORD || "",
};
describe("Block BTC base test ", function () {
    let MccClient;
    let status;
    before(async function () {
        MccClient = new src_1.MCC.LTC(LtcMccConnection);
        const tstatus = await MccClient.getNodeStatus();
        if (tstatus) {
            status = tstatus;
        }
    });
    it("Should get status version ", async function () {
        const version = status.version.split("_");
        (0, chai_1.expect)(version[0]).to.be.eq("180100");
    });
    it("Should get status state ", async function () {
        (0, chai_1.expect)(status.state).to.be.eq("full");
    });
    it("Should get status isHealthy ", async function () {
        (0, chai_1.expect)(status.isHealthy).to.eq(true);
    });
    it("Should get status isSynced ", async function () {
        (0, chai_1.expect)(status.isSynced).to.eq(true);
    });
});
describe("LTC bottom block ", function () {
    let MccClient;
    before(async function () {
        MccClient = new src_1.MCC.LTC(LtcMccConnection);
    });
    it("Should get status version ", async function () {
        const bottom = await MccClient.getBottomBlockHeight();
        (0, chai_1.expect)(bottom).to.eq(0);
    });
});
//# sourceMappingURL=status.test.js.map