"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../../src");
const chai = require("chai");
const expect = chai.expect;
chai.use(require("chai-as-promised"));
const BtcMccConnection = {
    //url: "123" ,
    url: process.env.BTC_URL || "",
    username: process.env.BTC_USERNAME || "",
    password: process.env.BTC_PASSWORD || "",
};
describe("Lite block base test ", function () {
    let MccClient;
    let block;
    let height = 0;
    before(async function () {
        src_1.traceManager.displayStateOnException = false;
        MccClient = new src_1.MCC.BTC(BtcMccConnection);
        height = await MccClient.getBlockHeight();
        const blocs = await MccClient.getTopLiteBlocks(1);
        block = blocs[0];
    });
    after(async function () {
        // traceManager.showTrace(true,false,true,false);
        // traceManager.showMethods();
    });
    it("Should get block", async function () {
        expect(block).to.not.eq(undefined);
    });
    it("Should get block number ", async function () {
        expect(block.number).to.eq(height);
    });
    it("Should get block hash ", async function () {
        expect(block.blockHash).to.not.eq("00000000000000000002579f72f3f80f68b02767c44024d697826af787776b58");
    });
    it("Should get block standard hash ", async function () {
        expect(block.stdBlockHash).to.not.eq("00000000000000000002579f72f3f80f68b02767c44024d697826af787776b58");
    });
    it("Should get block timestamp ", async function () {
        expect(block.unixTimestamp).to.eq(0);
    });
    it.skip("Should get block stringify to equal expected ", async function () {
        expect(block).to.eq(`Number: ${block.number}; Hash: ${block.stdBlockHash}`);
    });
    it("Should get transaction ids ", async function () {
        expect(function () {
            block.transactionIds;
        }).to.throw("OutsideError");
    });
    it("Should get transaction standard ids ", async function () {
        expect(function () {
            block.stdTransactionIds;
        }).to.throw("OutsideError");
    });
    it("Should get transaction count ", async function () {
        expect(function () {
            block.transactionCount;
        }).to.throw("OutsideError");
    });
});
//# sourceMappingURL=liteblock.test.js.map