import { AddressAmount, PaymentSummary } from "../src";
import { TransactionSuccessStatus } from "../src/types";
export declare const expectThrow: (method: any, errorMessage: any) => Promise<void>;
export declare function round_for_ltc(input: number): number;
export declare function sendMinimalUTXOTransaction(RPC: any, fromWalletLabel: string, from: string, to: string): Promise<any>;
export declare function addressToBtyeAddress(address: string): Uint8Array;
export interface algoTransactionTestCases extends transactionTestCases {
    block: number;
}
export interface transactionTestCases {
    description: string;
    txid: string;
    expect: expectTransactionTestCase;
    summary?: PaymentSummary;
}
export interface expectTransactionTestCase {
    txid: string;
    stdTxid: string;
    hash: string;
    reference: string[];
    stdPaymentReference: string;
    unixTimestamp: number;
    sourceAddresses: (string | undefined)[];
    receivingAddresses: (string | undefined)[];
    isFeeError: boolean;
    fee: string;
    spentAmounts: AddressAmount[];
    receivedAmounts: AddressAmount[];
    type: string;
    isNativePayment: boolean;
    currencyName: string;
    elementaryUnits: string;
    successStatus: TransactionSuccessStatus;
    isOneToOne?: boolean;
}
//# sourceMappingURL=testUtils.d.ts.map